#ifndef _MTIME_TIMEDELTA_TEST_H
#define _MTIME_TIMEDELTA_TEST_H

#include <check.h>
#include <stdint.h>
#include "mtime_timedelta.h"

void add_mtime_timedelta_test_to_suite(Suite* suite);

/*** SPECIAL ASSERT FUNCTIONS ***/
void assertTimeDelta(const char* input_string, bool std_form, char sign, int64_t year, int month, int day, int hour, int minute, int second, int ms, const char* expected_output_string);

void assertInvalidTimeDelta(const char* input_string);

void assertTimeDeltaToJulianDelta(const char* timedelta_string, const char* base_datetime_string, char expected_jd_sign, int64_t expected_jd_day, int64_t expected_jd_ms);

void assertTimeDeltaToJulianDeltaWithoutExpectations(const char* timedelta_string, const char* base_datetime_string, char expected_jd_sign);

void assertConvertTo(const char* td_string, const char* anchor_string,
		struct _conversion_result *(*conversionFunction)(struct _timedelta*, struct _datetime*, struct _conversion_result *),
		bool expect_valid, int expected_val, const char* expected_remainder_string);

void assertCompareTimeDelta(const char* td1_string, const char* td2_string, compare_return_val expected_res);

void assertNormalizeUnambigous(const char* td_in_string, const char* expected_td_out_string);

#endif
